---
title: help.setBotUpdatesStatus
description: Set the update status of webhook
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Method: help.setBotUpdatesStatus  
[Back to methods index](index.md)


Set the update status of webhook

### Parameters:

| Name     |    Type       | Description | Required |
|----------|---------------|-------------|----------|
|pending\_updates\_count|[int](../types/int.md) | Pending update count | Yes|
|message|[string](../types/string.md) | Message | Yes|


### Return type: [Bool](../types/Bool.md)

### Can bots use this method: **YES**


### MadelineProto Example:


```php
if (!file_exists('madeline.php')) {
    copy('https://phar.madelineproto.xyz/madeline.php', 'madeline.php');
}
define('MADELINE_BRANCH', '');
include 'madeline.php';

$MadelineProto = new \danog\MadelineProto\API('session.madeline');
$MadelineProto->start();

$Bool = $MadelineProto->help->setBotUpdatesStatus(['pending_updates_count' => int, 'message' => 'string', ]);
```

### [PWRTelegram HTTP API](https://pwrtelegram.xyz) example (NOT FOR MadelineProto):

### As a bot:

POST/GET to `https://api.pwrtelegram.xyz/botTOKEN/madeline`

Parameters:

* method - help.setBotUpdatesStatus
* params - `{"pending_updates_count": int, "message": "string", }`



### As a user:

POST/GET to `https://api.pwrtelegram.xyz/userTOKEN/help.setBotUpdatesStatus`

Parameters:

pending_updates_count - Json encoded int

message - Json encoded string




Or, if you're into Lua:

```lua
Bool = help.setBotUpdatesStatus({pending_updates_count=int, message='string', })
```


## Return value 

If the length of the provided message is bigger than 4096, the message will be split in chunks and the method will be called multiple times, with the same parameters (except for the message), and an array of [Bool](../types/Bool.md) will be returned instead.


