---
title: messages.getOnlines
description: Get online users
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Method: messages.getOnlines  
[Back to methods index](index.md)


Get online users

### Parameters:

| Name     |    Type       | Description | Required |
|----------|---------------|-------------|----------|
|peer|[Username, chat ID, Update, Message or InputPeer](../types/InputPeer.md) | Peer | Optional|


### Return type: [ChatOnlines](../types/ChatOnlines.md)

### Can bots use this method: **YES**


### MadelineProto Example:


```php
if (!file_exists('madeline.php')) {
    copy('https://phar.madelineproto.xyz/madeline.php', 'madeline.php');
}
define('MADELINE_BRANCH', '');
include 'madeline.php';

$MadelineProto = new \danog\MadelineProto\API('session.madeline');
$MadelineProto->start();

$ChatOnlines = $MadelineProto->messages->getOnlines(['peer' => InputPeer, ]);
```

### [PWRTelegram HTTP API](https://pwrtelegram.xyz) example (NOT FOR MadelineProto):

### As a bot:

POST/GET to `https://api.pwrtelegram.xyz/botTOKEN/madeline`

Parameters:

* method - messages.getOnlines
* params - `{"peer": InputPeer, }`



### As a user:

POST/GET to `https://api.pwrtelegram.xyz/userTOKEN/messages.getOnlines`

Parameters:

peer - Json encoded InputPeer




Or, if you're into Lua:

```lua
ChatOnlines = messages.getOnlines({peer=InputPeer, })
```

