---
title: destroy_session
description: Destroy the current MTProto session
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Method: destroy\_session  
[Back to methods index](index.md)


Destroy the current MTProto session

### Parameters:

| Name     |    Type       | Description | Required |
|----------|---------------|-------------|----------|
|session\_id|[long](../types/long.md) | The session to destroy | Yes|


### Return type: [DestroySessionRes](../types/DestroySessionRes.md)

### Can bots use this method: **YES**


### MadelineProto Example:


```php
if (!file_exists('madeline.php')) {
    copy('https://phar.madelineproto.xyz/madeline.php', 'madeline.php');
}
define('MADELINE_BRANCH', '');
include 'madeline.php';

$MadelineProto = new \danog\MadelineProto\API('session.madeline');
$MadelineProto->start();

$DestroySessionRes = $MadelineProto->destroy_session(['session_id' => long, ]);
```

### [PWRTelegram HTTP API](https://pwrtelegram.xyz) example (NOT FOR MadelineProto):

### As a bot:

POST/GET to `https://api.pwrtelegram.xyz/botTOKEN/madeline`

Parameters:

* method - destroy_session
* params - `{"session_id": long, }`



### As a user:

POST/GET to `https://api.pwrtelegram.xyz/userTOKEN/destroy_session`

Parameters:

session_id - Json encoded long




Or, if you're into Lua:

```lua
DestroySessionRes = destroy_session({session_id=long, })
```

