---
title: geochats.createGeoChat
description: Create geochat
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# Method: geochats.createGeoChat  
[Back to methods index](index.md)


Create geochat

### Parameters:

| Name     |    Type       | Description | Required |
|----------|---------------|-------------|----------|
|title|[string](../types/string.md) | Geochat title | Yes|
|geo\_point|[InputGeoPoint](../types/InputGeoPoint.md) | Geochat location | Optional|
|address|[string](../types/string.md) | Geochat address | Yes|
|venue|[string](../types/string.md) | Geochat venue  | Yes|


### Return type: [geochats\_StatedMessage](../types/geochats_StatedMessage.md)

### Can bots use this method: **YES**


### MadelineProto Example:


```php
if (!file_exists('madeline.php')) {
    copy('https://phar.madelineproto.xyz/madeline.php', 'madeline.php');
}
define('MADELINE_BRANCH', '');
include 'madeline.php';

$MadelineProto = new \danog\MadelineProto\API('session.madeline');
$MadelineProto->start();

$geochats_StatedMessage = $MadelineProto->geochats->createGeoChat(['title' => 'string', 'geo_point' => InputGeoPoint, 'address' => 'string', 'venue' => 'string', ]);
```

### [PWRTelegram HTTP API](https://pwrtelegram.xyz) example (NOT FOR MadelineProto):

### As a bot:

POST/GET to `https://api.pwrtelegram.xyz/botTOKEN/madeline`

Parameters:

* method - geochats.createGeoChat
* params - `{"title": "string", "geo_point": InputGeoPoint, "address": "string", "venue": "string", }`



### As a user:

POST/GET to `https://api.pwrtelegram.xyz/userTOKEN/geochats.createGeoChat`

Parameters:

title - Json encoded string

geo_point - Json encoded InputGeoPoint

address - Json encoded string

venue - Json encoded string




Or, if you're into Lua:

```lua
geochats_StatedMessage = geochats.createGeoChat({title='string', geo_point=InputGeoPoint, address='string', venue='string', })
```

